<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Update Seat</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div th:insert="fragments/navbar :: navbar"></div>

<div class="container my-5">
  <h3> update Seat</h3>
  <div class="card">
    <div class="card-body">
      <div class="col-md-10">
        <form action="#" th:action="@{/seat/update}" th:object="${seat}"
              method="post">
          <div class="row">
            <div class="form-group col-md-8">
              <label for="seatNumber" class="col-form-label">seat number</label>
              <input type="text" th:field="*{seatNumber}" class="form-control"
                     id="seatNumber" placeholder="seat number" />
            </div>
            <div class="form-group col-md-8">
              <label for="name" class="col-form-label">room</label>
              <select th:field="*{room.id}">
                <option th:each="room : ${roomList}"
                        th:value="${room.id}" th:text="${room.roomNumber}" />
              </select>
            </div>
              <div class="form-group col-md-8">
                <label for="seatType" class="col-form-label">Seat Type</label>
                <select th:field="*{type}" class="form-control">
                  <option value="comfort">Comfort</option>
                  <option value="classic">Classic</option>
                  <option value="double">Double</option>
                </select>
            </div>

            <div class="col-md-6">
              <input type="submit" class="btn btn-primary" value=" Submit ">
            </div>

            <input type="hidden" id="id" th:field="*{id}">
            </div>
        </form>
      </div>
    </div>
  </div>
</div>
</body>

</html>